slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSKrylovSchurSetDimensions

Sets the dimensions used for each subsolve step in case of doing spectrum slicing for a computational interval. The meaning of the parameters is the same as in EPSSetDimensions().

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetDimensions(EPS eps,PetscInt nev,PetscInt ncv,PetscInt mpd)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| nev | - number of eigenvalues to compute
| ncv | - the maximum dimension of the subspace to be used by the subsolve
| mpd | - the maximum dimension allowed for the projected problem

### Options Database Key

| -eps_krylovschur_nev <nev> | - Sets the number of eigenvalues
| -eps_krylovschur_ncv <ncv> | - Sets the dimension of the subspace
| -eps_krylovschur_mpd <mpd> | - Sets the maximum projected dimension

### See Also

EPSKrylovSchurGetDimensions(), EPSSetDimensions(), EPSSetInterval()

### Level

advanced

### Location

src/eps/impls/krylov/krylovschur/krylovschur.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages